<?php declare(strict_types=1);

namespace Lewisdale\Webmentions\Router;

enum StatusCode {
    case NotFound;
    case Ok;
    case Redirect;
    case InternalError;
    case BadRequest;
    case Created;

    public function code() : int
    {
        return match($this) {
            StatusCode::NotFound => 404,
            StatusCode::Ok => 200,
            StatusCode::InternalError => 500,
            StatusCode::Redirect => 301,
            StatusCode::BadRequest => 400,
            StatusCode::Created => 201,
        };
    }
}

?>